PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::electrical::diffusion::Diffusion2DSolver< Geometry2DType >::From1DGenerator Struct Reference

`#include <solvers/electrical/diffusion/diffusion2d.hpp>`

Inheritance diagram for plask::electrical::diffusion::Diffusion2DSolver< Geometry2DType >::From1DGenerator:
[legend]
Collaboration diagram for plask::electrical::diffusion::Diffusion2DSolver< Geometry2DType >::From1DGenerator:
[legend]

## Public Member Functions
| From1DGenerator (const shared_ptr< MeshGeneratorD< 1 > > &generator)
shared_ptr< MeshD< 2 > > | generate (const shared_ptr< GeometryObjectD< 2 > > &geometry) override
Public Member Functions inherited from plask::MeshGeneratorD< 2 >
virtual shared_ptr< MeshType > | generate (const GeometryPtr &geometry)=0
| Generate new mesh.
void | clearCache ()
| Clear the cache of generated meshes.
shared_ptr< MeshType > | operator() (const GeometryPtr &geometry)
| Get generated mesh if it is cached or create a new one.
shared_ptr< RequiredType > | get (const shared_ptr< GeometryObjectD< DIM > > &geometry)
shared_ptr< RequiredType > | generate_t (const shared_ptr< GeometryObjectD< DIM > > &geometry)
Public Member Functions inherited from plask::MeshGenerator
template<typename ClassT , typename methodT >
void | changedConnectMethod (ClassT *obj, methodT method, boost::signals2::connect_position at=boost::signals2::at_back)
| Connect a method to changed signal.
template<typename ClassT , typename methodT >
void | changedDisconnectMethod (ClassT *obj, methodT method)
template<typename EventT = Event, typename ... Args>
void | fireChanged (Args &&... event_constructor_params_without_source)
| Call changed with this as event source.
virtual | ~MeshGenerator ()
Public Member Functions inherited from plask::MeshBase
virtual | ~MeshBase ()

## Public Attributes
shared_ptr< MeshGeneratorD< 1 > > | generator
Public Attributes inherited from plask::MeshGenerator
boost::signals2::signal< void(Event &)> | changed
| Changed signal, fired when space was changed.

## Additional Inherited Members
Public Types inherited from plask::MeshGeneratorD< 2 >
enum |
| Number of geometry dimensions. More...
typedef MeshD< MESH_DIM > | MeshType
| Type of the generated mesh.
typedef shared_ptr< GeometryObjectD< DIM > > | GeometryPtr
Public Types inherited from plask::MeshGenerator
typedef EventWithSourceAndFlags< MeshGenerator > | Event
| Mesh generator event.
Protected Member Functions inherited from plask::MeshGeneratorD< 2 >
void | onChange (const Event &) override
| This method is called when the generator is changed, just before changed signal.
Static Protected Member Functions inherited from plask::MeshGeneratorD< 2 >
static shared_ptr< RequiredType > | cast (const shared_ptr< MeshType > &res)
Protected Attributes inherited from plask::MeshGeneratorD< 2 >
WeakCache< GeometryObject, MeshType, CacheRemoveOnEachChange > | cache

## Detailed Description

template<typename Geometry2DType>
struct plask::electrical::diffusion::Diffusion2DSolver< Geometry2DType >::From1DGenerator

Definition at line 228 of file diffusion2d.hpp.

## Constructor & Destructor Documentation

## ◆ From1DGenerator()

template<typename Geometry2DType >

plask::electrical::diffusion::Diffusion2DSolver< Geometry2DType >::From1DGenerator::From1DGenerator | ( | const shared_ptr< MeshGeneratorD< 1 > > & | generator | ) |
| inline

Definition at line 231 of file diffusion2d.hpp.

## Member Function Documentation

## ◆ generate()

template<typename Geometry2DType >

shared_ptr< MeshD< 2 > > plask::electrical::diffusion::Diffusion2DSolver< Geometry2DType >::From1DGenerator::generate | ( | const shared_ptr< GeometryObjectD< 2 > > & | geometry | ) |
| inline override

Definition at line 233 of file diffusion2d.hpp.

## Member Data Documentation

## ◆ generator

template<typename Geometry2DType >

shared_ptr<MeshGeneratorD<1> > plask::electrical::diffusion::Diffusion2DSolver< Geometry2DType >::From1DGenerator::generator

Definition at line 229 of file diffusion2d.hpp.

The documentation for this struct was generated from the following file:

- solvers/electrical/diffusion/diffusion2d.hpp